TrendsResource
Reads vital trend graphs.
- Stable unknown
- Release candidate since 0.1.0-rc.4
- Development since 0.1.0-dev.24+fa54770
public final class TrendsResourceReads vital trend graphs. Get it from SlimResource.trends().
Methods
graphs
public JsonNode graphs(
Map<String, ?> query,
RequestOptions options) throws IOException, InterruptedExceptionGets aggregated trend graphs (GET /v1/slim/trends/graphs).
Parameters:
query: query parameters;nullvalues are skippedoptions: per-request options, such as the timeout
Returns: the response body
Throws:
IOException: if the request cannot be sent or the response cannot be readInterruptedException: if the thread is interrupted while waiting for the response
realtime
public JsonNode realtime(
Map<String, ?> query,
RequestOptions options) throws IOException, InterruptedExceptionGets raw realtime trend graphs (GET /v1/slim/trends/realtime).
Parameters:
query: query parameters;nullvalues are skippedoptions: per-request options, such as the timeout
Returns: the response body
Throws:
IOException: if the request cannot be sent or the response cannot be readInterruptedException: if the thread is interrupted while waiting for the response
Last updated on